Index: trunk/LMDZ.TITAN/libf/phytitan/radlwsw.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/radlwsw.F	(revision 174)
+++ trunk/LMDZ.TITAN/libf/phytitan/radlwsw.F	(revision 175)
@@ -59,5 +59,5 @@
       real solsw(klon), sollw(klon)
       real sollwdown(klon)
-      REAL swnet(klon,kflev+1),lwnet(klon,kflev+1)
+      REAL swnet(klon,klev+1),lwnet(klon,klev+1)
 c
 c LOCAL VARIABLES
@@ -65,7 +65,11 @@
       real zp(klon,klev+1),zt(klon,klev+1),zz(klon,klev+1)
       real zq(klon,klev,nq)
-      real zheat(klon,klev), zcool(klon,klev)
-      REAL zswnet(klon,kflev+1),zlwnet(klon,kflev+1)
-      
+      real zheatc(klon,klev), zcoolc(klon,klev)
+      real zheatp(klon,klev), zcoolp(klon,klev)
+      REAL zswnetc(klon,klev+1),zlwnetp(klon,klev+1)
+      REAL zswnetp(klon,klev+1),zlwnetc(klon,klev+1)
+      REAL zsollwdownc(klon),zsollwdownp(klon)
+      INTEGER icld
+
 
 c =======================================
@@ -123,17 +127,27 @@
       print*,'On calcule le rayonnement SW'
 
-      CALL heating(dist,rmu0,fract,zheat,zswnet)
+       IF (clouds.eq.1) THEN
+         ICLD = 1   ! colonne avec nuages
+         CALL heating(dist,rmu0,fract,zheatc,zswnetc,icld)
+       ELSE
+         zheatc  = 0.
+         zswnetc = 0.
+       ENDIF 
+       ICLD = 0   ! colonne sans nuages
+       CALL heating(dist,rmu0,fract,zheatp,zswnetp,icld)
 
 c inversion de l'axe vertical
-             do l=1,klev
-                do i=1,klon
-                   heat(i,l)=zheat(i,klev+1-l)
-                enddo
-             enddo
-             do l=1,klev+1
-                do i=1,klon
-                   swnet(i,l)=zswnet(i,klev+2-l)
-                enddo
-             enddo
+       do l=1,klev
+         do i=1,klon
+           heat(i,l)=zheatc(i,klev+1-l)*xnuf +
+     &               zheatp(i,klev+1-l)*(1.-xnuf)
+         enddo
+       enddo
+       do l=1,klev+1
+         do i=1,klon
+           swnet(i,l)=zswnetc(i,klev+2-l)*xnuf +
+     &                zswnetp(i,klev+2-l)*(1.-xnuf)
+         enddo
+       enddo
 
       solsw = swnet(:,1)
@@ -146,17 +160,35 @@
       print*,'On calcule le rayonnement LW'
 
-      CALL cooling(klev+1,zp,zt,zz,zcool,zlwnet,sollwdown)
+       IF (clouds.eq.1) THEN
+         ICLD = 1
+         CALL cooling(klon,klev+1,zp,zt,zz,zcoolc,zlwnetc,zsollwdownc,
+     &   icld)
+       ELSE
+         zcoolc      = 0.
+         zlwnetc     = 0.
+         zsollwdownc = 0.
+       ENDIF
+       ICLD = 0
+       CALL cooling(klon,klev+1,zp,zt,zz,zcoolp,zlwnetp,zsollwdownp,
+     & icld)
 
 c inversion de l'axe vertical
-             do l=1,klev
-                do i=1,klon
-                   cool(i,l)=zcool(i,klev+1-l)
-                enddo
-             enddo
-             do l=1,klev+1
-                do i=1,klon
-                   lwnet(i,l)=zlwnet(i,klev+2-l)
-                enddo
-             enddo
+       do l=1,klev
+         do i=1,klon
+           cool(i,l)=zcoolc(i,klev+1-l)*xnuf +
+     &               zcoolp(i,klev+1-l)*(1.-xnuf)
+         enddo
+       enddo
+       do l=1,klev+1
+         do i=1,klon
+           lwnet(i,l)=zlwnetc(i,klev+2-l)*xnuf +
+     &                zlwnetp(i,klev+2-l)*(1.-xnuf)
+         enddo
+       enddo
+   
+       do i=1,klon
+         sollwdown(i)=zsollwdownc(i)*xnuf +
+     &                zsollwdownp(i)*(1.-xnuf)
+       enddo
 
       sollw  = -lwnet(:,1)
Index: trunk/LMDZ.TITAN/libf/phytitan/radtitan.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/radtitan.F	(revision 174)
+++ trunk/LMDZ.TITAN/libf/phytitan/radtitan.F	(revision 175)
@@ -81,47 +81,11 @@
 c   ---------------------------------------------
 
-      REAL DTAUP(ngrid,NLAYER,NSPECI)
-      REAL UBARI,UBARV,UBAR0
       REAL DZED(NLAYER)
       REAL Z(NLEVEL),PRESS(NLEVEL),DEN(NLEVEL),TEMP(NLEVEL)
-      REAL  DTDP(NLAYER),CONVEQ
       REAL  CH4(NLEVEL),XN2(NLEVEL),H2(NLEVEL),AR(NLEVEL)
       REAL  XMU(NLEVEL),GAS1(NLAYER),COLDEN(NLAYER)
       REAL  C2H2(NLAYER),C2H6(NLAYER),HCN(NLAYER)
-      REAL  SOLARF(NSPECV),PEXPON(NSPECV),ATERM(4,NSPECV) 
-      INTEGER NTERM(NSPECV) 
-      REAL  BTERM(4,NSPECV)
-      REAL  RADIUS(NLAYER), XNUMB(NLAYER),REALI(NSPECI), XIMGI(NSPECI)
-      REAL  REALV(NSPECV), XIMGV(NSPECV)
-      REAL  RADCLD(NLAYER), XNCLD(NLAYER),RCLDI(NSPECI),  XICLDI(NSPECI)
-      REAL  RCLDV(NSPECV),  XICLDV(NSPECV)
-      REAL  TAUHI(ngrid,NSPECI),TAUCI(ngrid,NSPECI)
-      REAL  TAUGI(ngrid,NSPECI), TAUGV(ngrid,NSPECV)
-      REAL  TAURV(ngrid,NSPECV),TAUHV(ngrid,NSPECV)
-      REAL  TAUCV(ngrid,NSPECV)
-c
-      REAL  DTAUI(ngrid,NLAYER,NSPECI)
-      REAL  TAUI(ngrid,NLEVEL,NSPECI)
-      REAL  WBARI(ngrid,NLAYER,NSPECI)
-      REAL  COSBI(ngrid,NLAYER,NSPECI)
-      REAL  BWNI(NSPC1I),WNOI(NSPECI)
-      REAL  WLNI(NSPECI),DWNI(NSPECI)
-c
-      REAL DTAUV(ngrid,NLAYER,NSPECV,4)
-      REAL TAUV(ngrid,NLEVEL,NSPECV,4)
-      REAL WBARV(ngrid,NLAYER,NSPECV,4) 
-      REAL COSBV(ngrid,NLAYER,NSPECV,4) 
-      REAL BWNV(NSPC1V), WNOV(NSPECV),DWNV(NSPECV), WLNV(NSPECV)
-      REAL FNETV(ngrid,NLEVEL),FUPV(ngrid,NLEVEL,NSPECV)  
-      REAL FDV(ngrid,NLEVEL,NSPECV),FMNETV(ngrid,NLEVEL)
-      REAL FMUPV(NLEVEL),FMDV(NLEVEL)
-      REAL FNET(ngrid,NLEVEL),FMNET(ngrid,NLEVEL)
-      REAL THEAT(ngrid,NLAYER)
-      REAL CSUBP,RSFI,RSFV,F0PI
       REAL  RHCH4,FH2,FHAZE,FHVIS,FHIR,TAUFAC,RCLOUD,FARGON
-      REAL RGAS,RHOP,PII,SIGMA
-      REAL TIDAL
-
-      COMMON /IRTAUS/ DTAUP
+      REAL RGAS,RHOP,PI,SIGMA
 
       COMMON /VERTICAL/ DZED
@@ -129,8 +93,4 @@
       COMMON /ATM/ Z,PRESS
      &            ,DEN,TEMP
-
-      COMMON /LAPSE/ DTDP,CONVEQ
-      COMMON /UBARED/ UBARI,UBARV,UBAR0
-
 
 
@@ -143,68 +103,7 @@
       COMMON /STRAT2/ HCN
 
-      COMMON /VISGAS/ SOLARF,NTERM
-     &               ,PEXPON,ATERM
-     &               ,BTERM
-
-      COMMON /AERSOL/ RADIUS, XNUMB
-     &               ,REALI, XIMGI
-     &               ,REALV, XIMGV
-
-      COMMON /CLOUD/ RADCLD, XNCLD
-     &             , RCLDI,  XICLDI
-     &             , RCLDV,  XICLDV
-
-      COMMON /TAUS/   TAUHI,TAUCI,
-     &                TAUGI, TAUGV,
-     &                TAURV,TAUHV,
-     &                TAUCV
-
-*     INFRARED  CHARACTERISTICS
-*------------------------------
-
-
-      COMMON /SPECTI/ BWNI,WNOI
-     &               ,DWNI,WLNI
-
-      COMMON /OPTICI/ DTAUI, 
-     &                TAUI,
-     &                WBARI, 
-     &                COSBI
-
-
-
-*     VISIBLE  CHARACTERISTICS
-*------------------------------
- 
-
-
-      COMMON /OPTICV/ DTAUV
-     &               ,TAUV
-     &               ,WBARV
-     &               ,COSBV
-
-      COMMON /SPECTV/ BWNV, WNOV
-     &               ,DWNV, WLNV
-
-      COMMON /FLUXvV/ FNETV,     
-     &               FUPV,
-     &               FDV, 
-     &               FMNETV
-
-      COMMON /FLUX/  FNET,      FMNET
-     &              ,THEAT
-
-
-      COMMON /PLANT/ CSUBP,RSFI,RSFV,F0PI
       COMMON /ADJUST/ RHCH4,FH2,FHAZE,FHVIS,FHIR,TAUFAC,RCLOUD,FARGON
-      COMMON /CONST/RGAS,RHOP,PII,SIGMA
-      COMMON /IO/ TIDAL
-
-* nrad dans microtab.h
-      REAL volume(nrad),rayon(nrad),vrat,
-     &      drayon(nrad),dvolume(nrad)
-
-      common/part/volume,rayon,vrat,
-     &      drayon,dvolume
+      COMMON /CONST/RGAS,RHOP,PI,SIGMA
+
 c-----------------------------------------------------------------------
 c   1. Initialisations:
@@ -368,13 +267,4 @@
       print*,'On sort de optci'
 
-C THIS ROUTINE HAS ALREADY SET THE DTAUI(J,K) VALUES BUT MUST BE PASSED
-        DO 225 IG=1,klon
-         DO 220 J=1,NLAYER
-          DO 230 K=1,NSPECI
-              DTAUP(IG,J,K)=DTAUI(IG,J,K)
-230       CONTINUE
-220      CONTINUE
-225     CONTINUE
-
 C  NOW, THIS COMPUTATION IS DONE FOR EACH VALUE OF klon
 C  INFRARED. AND THEN IN THE VISIBLE.
@@ -397,15 +287,8 @@
 c on ne recalcule pas optci si microfi=0 et compo lellouch
 c -----------------------------
-      IF ((MICROFI.eq.1).or.(.not.ylellouch)) THEN  
+      IF ((MICROFI.ge.1).or.(.not.ylellouch)) THEN  
       IF(notfirstcall)    THEN  !F au 1er appel   T aux autres appels!!
        print*,'aerosol/gas/cloud properties'
        CALL OPTCI(ycomp,qaer,nmicro,IPRINT)        ! #1
-        DO  IG=1,klon
-         DO  J=1,NLAYER
-          DO  K=1,NSPECI
-              DTAUP(IG,J,K)=DTAUI(IG,J,K)
-          ENDDO
-         ENDDO
-        ENDDO
       ENDIF
       ENDIF
@@ -413,5 +296,5 @@
 c ni optcv si microfi=0
 
-      IF (MICROFI.eq.1) THEN  
+      IF (MICROFI.ge.1) THEN  
       IF(notfirstcall)    THEN  !F au 1er appel   T aux autres appels!!
        print*,'aerosol/gas/cloud properties'
Index: trunk/LMDZ.TITAN/libf/phytitan/sfluxv.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/sfluxv.F	(revision 174)
+++ trunk/LMDZ.TITAN/libf/phytitan/sfluxv.F	(revision 175)
@@ -1,3 +1,3 @@
-      SUBROUTINE SFLUXV(IPRINT,IG,dist_sol)
+      SUBROUTINE SFLUXV(IPRINT,IG,dist_sol,icld)
 
       use dimphy
@@ -10,5 +10,5 @@
       PARAMETER (ngrid=(jjm-1)*iim+2)  ! = klon
 c
-      INTEGER NLAYER,NLEVEL,NSPECV,NSPC1V
+      INTEGER NLAYER,NLEVEL,NSPECV,NSPC1V,icld
       PARAMETER (NLAYER=llm,NLEVEL=NLAYER+1)
       PARAMETER (NSPECV=24,NSPC1V=25)
@@ -24,4 +24,8 @@
      &     ,WBARV(ngrid,NLAYER,NSPECV,4) 
      &     ,COSBV(ngrid,NLAYER,NSPECV,4)
+     &     ,DTAUVP(ngrid,NLAYER,NSPECV,4)
+     &     ,TAUVP(ngrid,NLEVEL,NSPECV,4)
+     &     ,WBARVP(ngrid,NLAYER,NSPECV,4)
+     &     ,COSBVP(ngrid,NLAYER,NSPECV,4)
       REAL BWNV(NSPC1V),WNOV(NSPECV)
      &     ,DWNV(NSPECV),WLNV(NSPECV)
@@ -43,4 +47,8 @@
      &                ,WBARV 
      &                ,COSBV
+     &                ,DTAUVP
+     &                ,TAUVP
+     &                ,WBARVP
+     &                ,COSBVP
 
       COMMON /SPECTV/ BWNV,WNOV
@@ -86,5 +94,9 @@
 C LOOP OVER THE NTERMS BEGINING HERE
       DO 912 NT=1,NTERM(K)
-      BSURF=0.+ RSFV*UBAR0*F0PI*EXP(-TAUV(ig,NLEVEL,K,NT)/UBAR0)
+      IF (ICLD.eq.1) THEN
+        BSURF=0.+ RSFV*UBAR0*F0PI*EXP(-TAUV(ig,NLEVEL,K,NT)/UBAR0)
+      ELSE
+        BSURF=0.+ RSFV*UBAR0*F0PI*EXP(-TAUVP(ig,NLEVEL,K,NT)/UBAR0)
+      ENDIF
 C
 C* WE CAN NOW SOLVE FOR THE COEFFICIENTS OF THE TWO STREAM
@@ -99,12 +111,22 @@
 C  USE DT0,T0,WB0,CO0 INSTEAD OF DTAUV(ig,1,K,NT)..etc...
 
-       DO  J=1,NLAYER        
-             DT0(J)=DTAUV(ig,J,K,NT)
-             T0(J) =TAUV(ig,J,K,NT)
-             WB0(J)=WBARV(ig,J,K,NT)
-             CO0(J)=COSBV(ig,J,K,NT)
-       ENDDO
+       IF (ICLD.EQ.1) THEN
+         DO  J=1,NLAYER        
+           DT0(J)=DTAUV(ig,J,K,NT)
+           T0(J) =TAUV(ig,J,K,NT)
+           WB0(J)=WBARV(ig,J,K,NT)
+           CO0(J)=COSBV(ig,J,K,NT)
+         ENDDO
+         T0(NLEVEL)=TAUV(ig,NLEVEL,K,NT)
+       ELSE
+         DO  J=1,NLAYER        
+           DT0(J)=DTAUVP(ig,J,K,NT)
+           T0(J) =TAUVP(ig,J,K,NT)
+           WB0(J)=WBARVP(ig,J,K,NT)
+           CO0(J)=COSBVP(ig,J,K,NT)
+         ENDDO
+         T0(NLEVEL)=TAUVP(ig,NLEVEL,K,NT)
 
-             T0(NLEVEL)=TAUV(ig,NLEVEL,K,NT)
+       ENDIF
 
 c       PRINT*,'entree gfluxv #: ',ig,K
